Skip to main content
Resource Center/Network Resource/L3 Network Operations

GetL3NetworkIpStatistic

GetL3NetworkIpStatistic

GET/zstack/v1/l3-networks/{l3NetworkUuid}/ip-statistic

Operation ID

GetL3NetworkIpStatistic

Since

3.7.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • l3NetworkUuid
    StringRequired

    The L3 network UUID.

Query Parameters

  • resourceType
    String

    Optional. The resource type.

  • ip
    String

    Optional. The specified IP address.

  • sortBy
    String

    Optional. The sort method.

  • sortDirection
    String

    Optional. The sort direction.

  • start
    Integer

    Optional. The location where the statistics starts.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • total
    LongRequired

    The total statistics of the IP addresses.

  • success
    booleanRequired

    Whether the API succeeds.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • ipStatistics
    ListRequired

    See ipStatistics.

    • ip
      StringRequired

      The IP address.

    • vipUuid
      StringRequired

      The VIP UUID.

    • vipName
      StringRequired

      The VIP name.

    • vmInstanceUuid
      StringRequired

      The VM instance UUID.

    • vmInstanceName
      StringRequired

      The VM instance name.

    • vmInstanceType
      StringRequired

      The VM instance type.

    • vmDefaultIp
      StringRequired

      The default IP address of the VM instance.

    • resourceTypes
      ListRequired

      The types of resources to which the IP address binds.

    • state
      StringRequired

      The resource state.

    • useFor
      StringRequired

      The network service to which the IP address binds.

    • createDate
      TimestampRequired

      The creation date.

    • ownerName
      StringRequired

      The name of the resource owner.

  • error
    ErrorCodeRequired

    See error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.